name: google_fonts
description: A Flutter package to use fonts from fonts.google.com. Supports HTTP fetching, caching, and asset bundling.
version: 6.2.1
repository: https://github.com/material-foundation/flutter-packages/tree/main/packages/google_fonts
issue_tracker: https://github.com/material-foundation/flutter-packages/issues?q=is%3Aissue+is%3Aopen+label%3A%22p%3A+google_fonts%22
screenshots:
 - description: 'Google Fonts and Flutter logos.'
   path: screenshots/logo_mashup.png
 - description: 'Using hot reload to change the font family.'
   path: screenshots/hot_reload.gif

environment:
  sdk: ">=2.14.0 <4.0.0"
  flutter: ">=3.19.2"

dependencies:
  flutter:
    sdk: flutter
  http: ^1.0.0
  path_provider: ^2.0.0
  crypto: ^3.0.0

dev_dependencies:
  cider: ">=0.1.3 <0.3.0"
  flutter_lints: ">=2.0.1 <4.0.0"
  flutter_test:
    sdk: flutter
  mockito: ^5.0.0
  mustache_template: ^2.0.0
  path_provider_platform_interface: ^2.0.1
  plugin_platform_interface: ^2.0.2
  protobuf: ">=2.0.1 <4.0.0"
  test: ^1.19.5
